## stgit 0.13

=== Makefile ===
PREFIX	?= $(HOME)
DESTDIR	?= /
PYTHON	?= python

all:
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)

doc:
	cd Documentation && $(MAKE) all

test:
	cd t && $(MAKE) all

clean:
	for dir in Documentation t; do \
		(cd $$dir && $(MAKE) clean); \
	done
	rm -rf build
	rm -f stgit/*.pyc
	rm -f stgit/commands/*.pyc
	rm -f TAGS

tags:
	ctags -e -R stgit/*

.PHONY: all install doc test clean

=== Documentation/Makefile ===
MAN1_TXT=$(wildcard stg*.txt)
MAN7_TXT=

DOC_HTML=$(patsubst %.txt,%.html,$(MAN1_TXT) $(MAN7_TXT))

ARTICLES = 
# with their own formatting rules.
SP_ARTICLES = tutorial

DOC_HTML += $(patsubst %,%.html,$(ARTICLES) $(SP_ARTICLES))
DOC_PDF += $(patsubst %,%.pdf,$(ARTICLES) $(SP_ARTICLES))

DOC_MAN1=$(patsubst %.txt,%.1,$(MAN1_TXT))
DOC_MAN7=$(patsubst %.txt,%.7,$(MAN7_TXT))

prefix?=$(HOME)
mandir?=$(prefix)/man
man1dir=$(mandir)/man1
man7dir=$(mandir)/man7
# DESTDIR=

ASCIIDOC=asciidoc --unsafe
ASCIIDOC_EXTRA =
INSTALL?=install

#
# Please note that there is a minor bug in asciidoc.
# The version after 6.0.3 _will_ include the patch found here:
#   http://marc.theaimsgroup.com/?l=git&m=111558757202243&w=2
#
# Until that version is released you may have to apply the patch
# yourself - yes, all 6 characters of it!
#

all: html man

html: $(DOC_HTML)
pdf: $(DOC_PDF)

$(DOC_HTML) $(DOC_MAN1) $(DOC_MAN7): asciidoc.conf

man: man1 man7
man1: $(DOC_MAN1)
man7: $(DOC_MAN7)

install: man
	$(INSTALL) -d -m755 $(DESTDIR)$(man1dir) $(DESTDIR)$(man7dir)
	$(INSTALL) -m644 $(DOC_MAN1) $(DESTDIR)$(man1dir)
	$(INSTALL) -m644 $(DOC_MAN7) $(DESTDIR)$(man7dir)
#
# Determine "include::" file references in asciidoc files.
#
doc.dep : $(wildcard *.txt) build-docdep.perl
	rm -f $@+ $@
	perl ./build-docdep.perl >$@+
	mv $@+ $@

-include doc.dep

clean:
	rm -f *.xml *.html *.pdf *.1 *.7 doc.dep

%.html : %.txt
	$(ASCIIDOC) -b xhtml11 -d manpage -f asciidoc.conf $(ASCIIDOC_EXTRA) $<

%.1 %.7 : %.xml
	xmlto -m callouts.xsl man $<

%.xml : %.txt
	$(ASCIIDOC) -b docbook -d manpage -f asciidoc.conf $<

%.pdf: %.xml
	xmlto pdf $<

# special formatting rules
tutorial.html : %.html : %.txt
	$(ASCIIDOC) -b xhtml11 -d article -f tutorial.conf $(ASCIIDOC_EXTRA) $<
tutorial.xml : %.xml : %.txt
	$(ASCIIDOC) -b docbook -d article -f tutorial.conf $<

## stgit 0.14.2

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	$(PYTHON) setup.py build
 
 install:
-	$(PYTHON) setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)
+	$(PYTHON) setup.py install --prefix=$(PREFIX) --root=$(DESTDIR) --force
 
 doc:
 	cd Documentation && $(MAKE) all

## stgit 0.15

=== Makefile ===
prefix	?= $(HOME)
DESTDIR	?= /
PYTHON	?= python

TEST_PATCHES ?= ..

all: build
	$(PYTHON) setup.py build

build: stgit/commands/cmdlist.py stgit-completion.bash

ALL_PY = $(shell find stgit -name '*.py')

stgit/commands/cmdlist.py: $(ALL_PY)
	$(PYTHON) stg-build --py-cmd-list > $@

stgit-completion.bash: $(ALL_PY)
	$(PYTHON) stg-build --bash-completion > $@

install: build
	$(PYTHON) setup.py install --prefix=$(prefix) --root=$(DESTDIR) --force

doc:
	cd Documentation && $(MAKE) all

install-doc:
	$(MAKE) -C Documentation install

install-html:
	$(MAKE) -C Documentation install-html

test: build
	cd t && $(MAKE) all

test_patches: build
	for patch in $$(stg series --noprefix $(TEST_PATCHES)); do \
		stg goto $$patch && $(MAKE) test || break; \
	done

clean:
	for dir in Documentation t; do \
		(cd $$dir && $(MAKE) clean); \
	done
	rm -rf build
	rm -f stgit/*.pyc
	rm -f stgit/commands/*.pyc
	rm -f TAGS
	rm -f stgit/commands/cmdlist.py

tags:
	ctags -R stgit/*

TAGS:
	ctags -e -R stgit/*

.PHONY: all build install doc install-doc install-html test test_patches \
	clean tags TAGS

## stgit 0.17.1

=== t/Makefile ===
# Run tests
#
# Copyright (c) 2005 Junio C Hamano
#

SHELL_PATH ?= $(SHELL)
TAR ?= $(TAR)

all:
	python test.py

clean:
	rm -rf trash*

.PHONY: all clean

=== debian/changelog ===
stgit (0.17.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #669664, #465343, #600238, #656804)
  * New maintainer. (Closes: #643801)
  * Install additional documentation. (#Closes: #556525)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 26 Mar 2014 19:18:23 +0100

stgit (0.15-1.1) unstable; urgency=low

  * Non-maintainer upload for RC bugfix:
  * Fix build, patch by Andreas Moog (Closes: #621802)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 13 Mar 2012 16:46:04 +0100

stgit (0.15-1) unstable; urgency=low

  * New upstream release (Closes: #554910).
    * contrib/diffcoll.sh is not shipped any more (Closes: #530195).
    * Update debian/watch for new upstream download URL at gna.org.
  * Use make instead of directly calling setup.py, to benefit from other
    stuff like generation of bash completion.
  * Added dependency of stgit-contrib to colordiff (Closes: #506401).
  * Removed the Uploaders field (Closes: #478473, #508852).
  * Fixed Makefile to remove all .pyc files on clean.
  * Build-depend on git-core, remove hacks added to avoid that now that
    they are not sufficient any more.
  * Switch section from "devel" to "optional" to match archive override.
  * Bumped Standards-Version to 3.8.3, no change.

 -- Yann Dirson <dirson@debian.org>  Tue, 10 Nov 2009 21:49:50 +0100

stgit (0.14.3-1) experimental; urgency=low

  * "New" upstream release, to experimental because of lenny freeze.

 -- Yann Dirson <dirson@debian.org>  Thu, 28 Aug 2008 22:42:43 +0200

stgit (0.14.2-1) unstable; urgency=low

  * New upstream release.
  * Make the copyright notice more explicit to please lintian.

 -- Yann Dirson <dirson@debian.org>  Fri, 04 Apr 2008 21:17:40 +0200

stgit (0.14.1-4) unstable; urgency=low

  * Changed default editor from "vi" to "editor" (Closes: #463819).
  * Fixed bashisms in contrib/stg-gitk (Closes: #465360).
  * Upgrade dependency on git-core to 1.5.3 or better for "git rev-parse
    --is-inside-work-tree", and use an epoch (Closes: #461385).
  * Declare depency on python 2.4 or higher through debian/pyversions
    (Closes: #457826).
  * Remove reference to cogito in old tutorial (Closes: #470131).
  * Set myself as maintainer (Closes: #435200).
  * Fixed typos in description (lintian).
  * Move the Homepage link from extended description into a control field
    (lintian).
  * Bumped Standards-Version to 3.7.3, no change.

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Mar 2008 09:23:17 +0100

stgit (0.14.1-3) unstable; urgency=low

  * Corrected debian/copyright to read "version 2" and not "version 2 or
    later" as GPL choice, as noted by ftpmaster team.

 -- Yann Dirson <dirson@debian.org>  Thu, 20 Dec 2007 23:42:24 +0100

stgit (0.14.1-2) unstable; urgency=low

  * Rebuild so -contrib does include the scripts - the previous
    dpkg-source run used "-i.git" which turns out not to have the intended
    behaviour.

 -- Yann Dirson <dirson@debian.org>  Tue, 18 Dec 2007 23:00:42 +0100

stgit (0.14.1-1) unstable; urgency=low

  * New upstream release.
  * Updated package short description.
  * New stgit-contrib package.
  * Fix debian/rules to build things in binary-indep, not binary-arch.
  * Add a call to "make clean" in clean target, somes generated files were
    not removed.
  * Update git versionned dependency to 1.5.2 or better.
  * Disabled checking for git version at build time, so we don't need to
    add a build-dep on git.
  * Add a build-depend on xmlto for manpage generation.

 -- Yann Dirson <dirson@debian.org>  Sun, 16 Dec 2007 17:34:12 +0100

stgit (0.13-1) unstable; urgency=low

  * New upstream release.
  * Add debian/watch file.
  * Build documentation, build-depend on asciidoc.
  * Fixed Documentation/Makefile to ignore non-existent man7 material, and
    to use /usr/share/man.
  * Install all html doc in a new "html" subdir.

 -- Yann Dirson <dirson@debian.org>  Sun, 29 Jul 2007 15:00:52 +0200

stgit (0.12.1-4) unstable; urgency=medium

  * Applied upstream fix for a bug possibly causing data loss during merge
    in a corner case.

 -- Yann Dirson <dirson@debian.org>  Tue,  1 May 2007 11:56:47 +0200

stgit (0.12.1-3) unstable; urgency=low

  * Upload to unstable (Closes: #418302).

 -- Yann Dirson <dirson@debian.org>  Mon, 16 Apr 2007 22:17:12 +0200

stgit (0.12.1-2) experimental; urgency=low

  * Let upstream build procedure install in /usr/share/stgit: templates
    and contrib are now available there.
  * Install bash completions in /etc, overriding those from
    git-completion.
  * Removed useless dh_python call (lintian).

 -- Yann Dirson <dirson@debian.org>  Mon, 26 Feb 2007 21:17:56 +0100

stgit (0.12.1-1) experimental; urgency=low

  * New upstream release, has better online help (Closes: #407238).
  * Upload to experimental since this is not targetted to etch.
  * Recommend git-core 1.5 or later, since stgit will work much better
    then.  
  * Changed the fallback editor from "vi" to "editor" as per policy.
  * Updated tutorial from the wiki.
  * Also include StGITtheory doc from the wiki.

 -- Yann Dirson <dirson@debian.org>  Sun, 25 Feb 2007 12:01:58 +0100

stgit (0.11-1) unstable; urgency=low

  * New upstream release (Closes: #396982).

 -- Yann Dirson <dirson@debian.org>  Sun, 26 Nov 2006 22:33:54 +0100

stgit (0.10-1) unstable; urgency=low

  * New upstream release (Closes: #374043)
  * Add Yann Dirson to Uploaders too
  * Update to Policy 3.7.2
  * Update to new Python policy (Closes: #380963)

 -- Anand Kumria <wildfire@progsoc.org>  Sun,  2 Jul 2006 09:28:27 +1000

stgit (0.9-1) unstable; urgency=low

  * New upstream release (Closes: #362035)
  * Include examples (Closes: #362196)
  * Include documentation (Closes: #362195)

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  1 May 2006 06:21:58 +1000

stgit (0.8.1-3) unstable; urgency=low

  * Fixup spelling in Description (Closes: #353054)
  * Remove the build directory on clean

 -- Anand Kumria <wildfire@progsoc.org>  Thu,  2 Mar 2006 11:44:59 +1100



=== debian/control ===
Source: stgit
Section: vcs
Priority: optional
Maintainer: Maximiliano Curia <maxy@debian.org>
Build-Depends: asciidoc, debhelper (>= 9), dh-exec, git, python-all, xmlto
Standards-Version: 3.9.5
Homepage: http://www.procode.org/stgit/
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stgit.git
Vcs-Git: git://anonscm.debian.org/collab-maint/stgit.git

Package: stgit
Architecture: all
Depends: git, ${misc:Depends}, ${python:Depends}
Description: manage stacks of patches in a git repository
 stgit provides similar functionality to quilt
 (i.e. pushing/popping patches to/from a stack) on top of git.
 .
 These operations are performed using git commands and the patches
 are stored as git commit objects, allowing easy merging of the stgit
 patches into other repositories using standard git functionality.

Package: stgit-contrib
Architecture: all
Depends: colordiff, stgit, ${misc:Depends}, ${python:Depends}
Description: set of contributed script to help working with stgit
 Among others, this package provides the following helper scripts:
  * stg-gitk: show all patches in gitk, not only applied ones, and hide logs
  * stg-whatchanged: examine changes that would modify the current patch
  * stg-fold-files-from: pick specific hunks from another patch up the stack
  * stg-dispatch: dispatch specific hunks into another patch down the stack
  * stg-swallow: completely merge another patch into the current one
  * stg-k: provide robust --keep functionality to all stgit commands
 .
 Most of the functionality of these scripts may one day be incorporated into
 stgit.

=== debian/rules ===
#!/usr/bin/make -f

export prefix = /usr
export PYTHON = python

%:
	dh $@ --parallel --with python2

override_dh_auto_build:
	# run make all and make doc
	dh_auto_build -- all doc

override_dh_auto_install:
	# dh_auto install calls make install,
	# also call make install-doc and make install-html
	dh_auto_install -- install-doc install-html

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@
Restrictions: build-needed allow-stderr

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ \
    http://download.gna.org/stgit/ stgit-([\d.]+)\.tar\.gz

## stgit 0.18

=== Makefile ===
prefix	?= $(HOME)
DESTDIR	?= /
PYTHON	?= python2

export DESTDIR PYTHON

TEST_PATCHES ?= ..

all:
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install --prefix=$(prefix) --root=$(DESTDIR) --force

doc:
	$(MAKE) -C Documentation all

install-doc:
	$(MAKE) -C Documentation install

install-html:
	$(MAKE) -C Documentation install-html

test:
	$(PYTHON) setup.py build
	$(MAKE) -C t all

test_patches:
	for patch in $$(stg series --noprefix $(TEST_PATCHES)); do \
		stg goto $$patch && $(MAKE) test || break; \
	done

coverage:
	$(PYTHON) -m coverage run setup.py build
	COVERAGE_PROCESS_START=$(PWD)/.coveragerc $(MAKE) -C t all
	$(PYTHON) -m coverage combine $$(find . -name '.coverage.*')
	$(PYTHON) -m coverage html --title="stgit coverage"
	$(PYTHON) -m coverage report
	@echo "HTML coverage report: file://$(PWD)/htmlcov/index.html"

clean:
	for dir in Documentation t; do \
		$(MAKE) -C $$dir clean; \
	done
	rm -rf build
	rm -f stgit/*.pyc
	rm -f stgit/commands/*.pyc
	rm -f TAGS
	rm -f stgit/commands/cmdlist.py

tags:
	ctags -R stgit/*

TAGS:
	ctags -e -R stgit/*

.PHONY: all install doc install-doc install-html test test_patches \
	coverage clean tags TAGS

=== t/Makefile ===
# Run tests
#
# Copyright (c) 2005 Junio C Hamano
#

all:
	$(PYTHON) test.py

clean:
	rm -rf trash*

.PHONY: all clean

=== debian/changelog ===
stgit (0.18-1) sid; urgency=medium

  * New patch: test_exit_1_on_fail
  * Update autopkgtest testsuite. (Closes: #742997) Thanks to Antonio Terceiro
  * Bump Standards-Version to 3.9.6, no changes needed.
  * New upstream release (0.18).
  * Bump Standards-Version to 4.1.0.
  * Update Vcs fields
  * Drop upstream patches
  * Ignore the generated files update on clean
  * Add dh-python build depends
  * Avoid the git error messages when running stg outside of a git tree
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 14:30:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,17 @@
 Section: vcs
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
-Build-Depends: asciidoc, debhelper (>= 9), dh-exec, git, python-all, xmlto
-Standards-Version: 3.9.5
+Build-Depends: asciidoc,
+               debhelper (>= 9),
+               dh-exec,
+               dh-python,
+               git,
+               python-all,
+               xmlto,
+Standards-Version: 4.1.0
 Homepage: http://www.procode.org/stgit/
-XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stgit.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/stgit.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/stgit.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/stgit.git
 
 Package: stgit
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,19 @@
 
 export prefix = /usr
 export PYTHON = python
+UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog -S Version | sed 's/.*://;s/-.*//')
 
 %:
 	dh $@ --parallel --with python2
 
+override_dh_auto_clean:
+	-rm stgit/builtin_version.py
+	dh_auto_clean
+	-rm stgit-completion.bash
+	-rm stgit/commands/cmdlist.py
+
 override_dh_auto_build:
+	echo 'version = "$(UPSTREAM_VERSION)"' > stgit/builtin_version.py
 	# run make all and make doc
 	dh_auto_build -- all doc

=== debian/tests/control ===
Tests: testsuite
Depends: @
Restrictions: allow-stderr

## stgit 0.19

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 prefix	?= $(HOME)
 DESTDIR	?= /
-PYTHON	?= python2
+PYTHON	?= python
 
 export DESTDIR PYTHON
 
@@ -30,10 +30,14 @@
 		stg goto $$patch && $(MAKE) test || break; \
 	done
 
-coverage:
+coverage: coverage-test coverage-report
+
+coverage-test:
 	$(PYTHON) -m coverage run setup.py build
 	COVERAGE_PROCESS_START=$(PWD)/.coveragerc $(MAKE) -C t all
 	$(PYTHON) -m coverage combine $$(find . -name '.coverage.*')
+
+coverage-report:
 	$(PYTHON) -m coverage html --title="stgit coverage"
 	$(PYTHON) -m coverage report
 	@echo "HTML coverage report: file://$(PWD)/htmlcov/index.html"
@@ -43,10 +47,18 @@
 		$(MAKE) -C $$dir clean; \
 	done
 	rm -rf build
-	rm -f stgit/*.pyc
-	rm -f stgit/commands/*.pyc
-	rm -f TAGS
-	rm -f stgit/commands/cmdlist.py
+	rm -rf dist
+	rm  -f stgit/*.pyc
+	rm -rf stgit/__pycache__
+	rm  -f stgit/builtin_version.py
+	rm  -f stgit/commands/*.pyc
+	rm -rf stgit/commands/__pycache__
+	rm  -f stgit/commands/cmdlist.py
+	rm  -f stgit/lib/*.pyc
+	rm -rf stgit/lib/__pycache__
+	rm  -f TAGS tags
+	rm  -f MANIFEST
+	rm  -f stgit-completion.bash
 
 tags:
 	ctags -R stgit/*
@@ -55,4 +67,4 @@
 	ctags -e -R stgit/*
 
 .PHONY: all install doc install-doc install-html test test_patches \
-	coverage clean tags TAGS
+	coverage coverage-test coverage-report clean tags TAGS

=== Documentation/Makefile ===
COMMANDS = $(shell $(PYTHON) ../stg-build --commands)
COMMANDS_TXT = $(patsubst %,stg-%.txt,$(COMMANDS))

MAN1_TXT= stg.txt $(COMMANDS_TXT)

DOC_HTML=$(patsubst %.txt,%.html,$(MAN1_TXT))

ARTICLES = tutorial

DOC_HTML += $(patsubst %,%.html,$(ARTICLES))
DOC_PDF += $(patsubst %,%.pdf,$(ARTICLES))

DOC_MAN1=$(patsubst %.txt,%.1,$(MAN1_TXT))

prefix?=$(HOME)
htmldir?=$(prefix)/share/doc/stgit
mandir?=$(prefix)/share/man
man1dir=$(mandir)/man1
# DESTDIR=

ASCIIDOC=asciidoc --unsafe
ASCIIDOC_EXTRA =
INSTALL?=install

#
# Please note that there is a minor bug in asciidoc.
# The version after 6.0.3 _will_ include the patch found here:
#   http://marc.theaimsgroup.com/?l=git&m=111558757202243&w=2
#
# Until that version is released you may have to apply the patch
# yourself - yes, all 6 characters of it!
#

all: html man

html: $(DOC_HTML)
pdf: $(DOC_PDF)

$(DOC_HTML) $(DOC_MAN1): asciidoc.conf

man: man1
man1: $(DOC_MAN1)
install: man
	$(INSTALL) -d -m755 $(DESTDIR)$(man1dir)
	$(INSTALL) -m644 $(DOC_MAN1) $(DESTDIR)$(man1dir)

install-html: html
	$(INSTALL) -d -m755 $(DESTDIR)$(htmldir)
	$(INSTALL) -m644 $(DOC_HTML) $(DESTDIR)$(htmldir)
#
# Determine "include::" file references in asciidoc files.
#
doc.dep : $(wildcard *.txt) build-docdep.perl
	rm -f $@+ $@
	perl ./build-docdep.perl >$@+
	mv $@+ $@

-include doc.dep

clean:
	rm -f *.xml *.html *.pdf *.1 doc.dep $(COMMANDS_TXT) command-list.txt

ALL_PY = $(shell find ../stgit -name '*.py')

$(COMMANDS_TXT): $(ALL_PY)
	$(PYTHON) ../stg-build --asciidoc $(basename $(subst stg-,,$@)) > $@

command-list.txt: $(ALL_PY)
	$(PYTHON) ../stg-build --cmd-list > $@

%.html : %.txt
	$(ASCIIDOC) -b xhtml11 -d manpage -f asciidoc.conf $(ASCIIDOC_EXTRA) $<

%.1 : %.xml
	xmlto -m callouts.xsl man $<

%.xml : %.txt
	$(ASCIIDOC) -b docbook -d manpage -f asciidoc.conf $<

%.pdf: %.xml
	xmlto pdf $<

# special formatting rules
tutorial.html : %.html : %.txt
	$(ASCIIDOC) -b xhtml11 -d article -a toc -f tutorial.conf \
                $(ASCIIDOC_EXTRA) $<
tutorial.xml : %.xml : %.txt
	$(ASCIIDOC) -b docbook -d article -f tutorial.conf $<

=== contrib/Makefile ===
EMACS = emacs

ELC = stgit.elc
INSTALL ?= install
INSTALL_ELC = $(INSTALL) -m 644
prefix ?= $(HOME)
emacsdir = $(prefix)/share/emacs/site-lisp
RM ?= rm -f

all: $(ELC)

install: all
	$(INSTALL) -d $(DESTDIR)$(emacsdir)
	$(INSTALL_ELC) $(ELC:.elc=.el) $(ELC) $(DESTDIR)$(emacsdir)

%.elc: %.el
	$(EMACS) -batch -f batch-byte-compile $<

clean:; $(RM) $(ELC)

=== debian/changelog ===
stgit (0.19-2) unstable; urgency=medium

  * Add a gbp.conf file
  * Drop old docs gathered from the wiki
  * Add python3-setuptools as build-depends.
    Thanks to stefanor@debian.org (Closes: #1080809)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 Sep 2024 16:18:03 +0200

stgit (0.19-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Make the build reproducible. (Closes: #942009)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 01 Dec 2022 11:53:31 -0800

stgit (0.19-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update Vcs fields
  * Test suite already runs at build time (Closes: 889175)
  * Bump to Standards-Version 4.1.3
  * Bump debhelper build-dep and compat to 11
  * New upstream release (0.19).
  * Drop obsolete --parallel dh parameter
  * Update bash-completion install path
  * Release to unstable

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Oct 2019 14:38:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
 Build-Depends: asciidoc,
-               debhelper (>= 9),
+               debhelper (>= 12~),
                dh-exec,
                dh-python,
+               python3,
+               python3-setuptools,
                git,
-               python-all,
                xmlto,
-Standards-Version: 4.1.0
+Standards-Version: 4.4.1
 Homepage: http://www.procode.org/stgit/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/stgit.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/stgit.git
+Vcs-Browser: https://salsa.debian.org/debian/stgit
+Vcs-Git: https://salsa.debian.org/debian/stgit.git
 
 Package: stgit
 Architecture: all
-Depends: git, ${misc:Depends}, ${python:Depends}
+Depends: git, ${misc:Depends}, ${python3:Depends}
 Description: manage stacks of patches in a git repository
  stgit provides similar functionality to quilt
  (i.e. pushing/popping patches to/from a stack) on top of git.
@@ -27,7 +28,7 @@
 
 Package: stgit-contrib
 Architecture: all
-Depends: colordiff, stgit, ${misc:Depends}, ${python:Depends}
+Depends: colordiff, stgit, ${misc:Depends}, ${python3:Depends}
 Description: set of contributed script to help working with stgit
  Among others, this package provides the following helper scripts:
   * stg-gitk: show all patches in gitk, not only applied ones, and hide logs

=== debian/rules ===
#!/usr/bin/make -f

export prefix = /usr
export PYTHON = python3
UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog -S Version | sed 's/.*://;s/-.*//')

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	-rm stgit-completion.bash
	-rm stgit/commands/cmdlist.py
	-rm stgit/builtin_version.py

override_dh_auto_build:
	echo 'version = "$(UPSTREAM_VERSION)"' > stgit/builtin_version.py
	# build with pybuild and run make doc
	dh_auto_build
	make doc

override_dh_auto_install:
	# dh_auto install calls make pybuild install,
	dh_auto_install
	# also call make install-doc and make install-html
	DESTDIR=debian/stgit/ make install-doc install-html
